import './ItemView.styles_vwfvdm.css';
import { styled } from '@linaria/react';
import { IconDone } from '../../../_Icon/Icons/IconDone.js';
import { tokens } from '../../Combobox.tokens.js';
import { component, mergeConfig } from '../../../../engines/common.js';
import { checkboxConfig } from '../../../Checkbox/Checkbox.js';
import { cellConfig } from '../../../Cell/Cell.js';
import { indicatorConfig } from '../../../Indicator/Indicator.js';

var mergedCheckboxConfig = /*#__PURE__*/mergeConfig(checkboxConfig);
var Checkbox = /*#__PURE__*/component(mergedCheckboxConfig);
var mergedCellConfig = /*#__PURE__*/mergeConfig(cellConfig);
var Cell = /*#__PURE__*/component(mergedCellConfig);
var mergedIndicatorConfig = /*#__PURE__*/mergeConfig(indicatorConfig);
var Indicator = /*#__PURE__*/component(mergedIndicatorConfig);

// TODO: #1548
var _exp = function _exp() {
  return Cell;
};
var StyledCell = /*#__PURE__*/styled(_exp())({
  name: "StyledCell",
  "class": "s9ommgt",
  propsAsIs: true
});
var _exp29 = function _exp29() {
  return Checkbox;
};
var StyledCheckbox = /*#__PURE__*/styled(_exp29())({
  name: "StyledCheckbox",
  "class": "sge6fow",
  propsAsIs: true
});
var _exp44 = function _exp44() {
  return Indicator;
};
var StyledIndicator = /*#__PURE__*/styled(_exp44())({
  name: "StyledIndicator",
  "class": "s185fxqe",
  propsAsIs: true
});

// TODO: Удалить после поддержки JS переменных в конфиге компонент
var sizeMap = {
  xs: '1rem',
  s: '1.5rem'
};
var _exp49 = function _exp49() {
  return IconDone;
};
var _exp51 = function _exp51() {
  return function (_ref) {
    var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 'xs' : _ref$size;
    return "var(".concat(tokens.disclosureIconSize, ", ").concat(sizeMap[size], ")");
  };
};
var StyledIconDone = /*#__PURE__*/styled(_exp49())({
  name: "StyledIconDone",
  "class": "s1j9r8g8",
  propsAsIs: true,
  vars: {
    "s1j9r8g8-0": [/*#__PURE__*/_exp51()]
  }
});
var _exp53 = function _exp53() {
  return function (_ref2) {
    var variant = _ref2.variant;
    return "var(".concat(variant === 'tight' ? tokens.itemIconSizeTight : tokens.itemIconSize, ")");
  };
};
var _exp54 = function _exp54() {
  return function (_ref3) {
    var withMargin = _ref3.withMargin;
    return withMargin ? "var(".concat(tokens.itemIconMargin, ")") : '0';
  };
};
var IconWrapper = /*#__PURE__*/styled('div')({
  name: "IconWrapper",
  "class": "itugifc",
  propsAsIs: false,
  vars: {
    "itugifc-0": [/*#__PURE__*/_exp53()],
    "itugifc-1": [/*#__PURE__*/_exp54()]
  }
});
var StyledText = /*#__PURE__*/styled('div')({
  name: "StyledText",
  "class": "sv5gtji",
  propsAsIs: false
});
var StyledCheckboxWrapper = /*#__PURE__*/styled('span')({
  name: "StyledCheckboxWrapper",
  "class": "s19zam8m",
  propsAsIs: false
});

export { IconWrapper, StyledCell, StyledCheckbox, StyledCheckboxWrapper, StyledIconDone, StyledIndicator, StyledText, sizeMap };
